Subject: Re: bug#48916: 28.0.50; allow windmove to select windows with the 'no-other-window parameter

From: Juri Linkov <[email-masked]>
Date: Tue, 08 Jun 2021 19:46:23 +0300

>>> +(defcustom windmove-ignore-no-other-window nil
>>
>> This name is not the best one.  For starters, "ignore-no" is a kind of
>> double negation, which makes it harder to understand and remember.
>> Can you come up with a better description of what exactly is ignored
>> here?

> Yes, i think 'windmove-move-in-all-windows' will be more explicit.

Repeating words "...move-move..." doesn't look nice.  Maybe a better name
would be 'windmove-allow-all-windows'.

> Because it applies to `windmove-find-other-window', it allows the commands
> windmove-right, windmove-left, windmove-down, windmove-up to select windows
> with the no-other-window parameter, but not for the `windmove-display-*'
> functions. I suppose it is the desired behavior.

You could try using new option in all functions that call window-in-direction:
in windmove-display-in-direction, in windmove-delete-in-direction,
in windmove-swap-states-in-direction.